Debian Bug report logs - #648685
live-build: "lb build" does not builds binary.iso

version graph

Package: live-build; Maintainer for live-build is Live Systems Maintainers <debian-live@lists.debian.org>; Source for live-build is src:live-build.

Reported by: wayuu <alvarorincon2005@yahoo.com>

Date: Mon, 14 Nov 2011 01:57:32 UTC

Severity: important

Found in version live-build/2.0.12-2

Done: Daniel Baumann <daniel.baumann@progress-technologies.net>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, alvarorincon2005@yahoo.com, Debian Live Project <debian-live@lists.debian.org>:
Bug#648685; Package live-build. (Mon, 14 Nov 2011 01:57:35 GMT) Full text and rfc822 format available.

Acknowledgement sent to wayuu <alvarorincon2005@yahoo.com>:
New Bug report received and forwarded. Copy sent to alvarorincon2005@yahoo.com, Debian Live Project <debian-live@lists.debian.org>. (Mon, 14 Nov 2011 01:57:35 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: wayuu <alvarorincon2005@yahoo.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: live-build: "lb build" does not builds binary.iso
Date: Sun, 13 Nov 2011 21:17:56 -0430
Package: live-build
Version: 2.0.12-2
Severity: important

i run "lb build" and it does not buils binary.img instead it shows this error:
usr/bin/env: update-initramfs: No such file or directory

root@sinamaica:/tutorial3/auto# lb build
W: No config/ directory; using defaults for all options
P: Setting up cleanup function
P: Begin caching bootstrap stage...
P: Begin bootstrapping system...
W: skipping bootstrap
P: Begin caching bootstrap stage...
W: skipping bootstrap_cache.save
P: Begin unmounting filesystems...
P: Setting up cleanup function
P: Begin caching chroot stage...
P: Begin mounting /dev/pts...
W: skipping chroot_devpts
P: Begin mounting /proc...
W: skipping chroot_proc
P: Begin mounting /sys...
W: skipping chroot_sysfs
P: Configuring file /etc/debian_chroot
W: skipping chroot_debianchroot
P: Configuring file /sbin/start-stop-daemon
W: skipping chroot_dpkg
P: Configuring file /usr/sbin/policy-rc.d
W: skipping chroot_sysv-rc
P: Configuring file /usr/sbin/initctl
W: skipping chroot_upstart
P: Configuring file /etc/hosts
W: skipping chroot_hosts
P: Configuring file /etc/resolv.conf
W: skipping chroot_resolv
P: Configuring file /etc/hostname
W: skipping chroot_hostname
P: Configuring file /etc/apt/apt.conf
W: skipping chroot_apt
P: Configuring file /etc/apt/sources.list
W: skipping chroot_sources
P: Configuring file /etc/kernel-img.conf
W: skipping chroot_linux-image
P: Begin executing preseed...
P: Begin executing local preseeds...
P: Begin installing tasks...
P: Begin queueing installation of packages lists...
W: skipping chroot_packageslists
P: Begin queueing installation of local packages lists...
P: Begin queueing installation of packages...
P: Begin queueing installation of local packages...
P: Begin installing packages...
P: Begin installing localization packages...
Reading package lists... Done
Building dependency tree... Done
Del libpam-modules 1.1.1-6.1+squeeze1 [349 kB]
Del libpam0g 1.1.1-6.1+squeeze1 [115 kB]
Del libssl0.9.8 0.9.8o-4squeeze4 [3069 kB]
Del libpam-runtime 1.1.1-6.1+squeeze1 [225 kB]
Del tzdata 2011n-0squeeze1 [630 kB]
P: Begin copying chroot local includes...
P: Begin applying chroot local patches...
P: Configuring package sysvinit
P: Begin executing local hooks...
P: Begin executing hooks...
P: Begin executing hacks...
/usr/bin/env: update-initramfs: No such file or directory
P: Begin unmounting filesystems...
root@sinamaica:/tutorial3/auto#



-- Package-specific info:

-- System Information:
Debian Release: 6.0.3
  APT prefers stable-updates
  APT policy: (500, 'stable-updates'), (500, 'stable')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=es_VE.utf8, LC_CTYPE=es_VE.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages live-build depends on:
ii  cdebootstrap             0.5.7           Bootstrap a Debian system
ii  debootstrap              1.0.26+squeeze1 Bootstrap a basic Debian system

Versions of packages live-build recommends:
ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
ii  gnu-fdisk                     1.2.4-3    Linux fdisk replacement based on l

Versions of packages live-build suggests:
ii  dosfstools           3.0.9-1             utilities for making and checking 
ii  fakeroot             1.14.4-1            Gives a fake root environment
ii  genisoimage          9:1.1.11-1          Creates ISO-9660 CD-ROM filesystem
pn  memtest86+ | memtest <none>              (no description available)
ii  mtools               4.0.12-1            Tools for manipulating MSDOS files
pn  parted               <none>              (no description available)
pn  squashfs-tools | gen <none>              (no description available)
ii  sudo                 1.7.4p4-2.squeeze.2 Provide limited super user privile
pn  syslinux | grub      <none>              (no description available)
pn  uuid-runtime         <none>              (no description available)
pn  win32-loader         <none>              (no description available)

-- no debconf information




Reply sent to daniel.baumann@progress-technologies.net:
You have taken responsibility. (Mon, 14 Nov 2011 07:48:08 GMT) Full text and rfc822 format available.

Notification sent to wayuu <alvarorincon2005@yahoo.com>:
Bug acknowledged by developer. (Mon, 14 Nov 2011 07:48:08 GMT) Full text and rfc822 format available.

Message #10 received at 648685-done@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@progress-technologies.net>
To: wayuu <alvarorincon2005@yahoo.com>
Cc: 648685-done@bugs.debian.org
Subject: Re: Bug#648685: live-build: "lb build" does not builds binary.iso
Date: Mon, 14 Nov 2011 08:44:53 +0100
On 11/14/2011 02:47 AM, wayuu wrote:
> i run "lb build" and it does not buils binary.img instead it shows this error:
> usr/bin/env: update-initramfs: No such file or directory

your log shows that you're building from a previous unclean or 
interrupted build, rebuild from scratch with 'lb clean --purge && lb build'.

-- 
Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
Email:          daniel.baumann@progress-technologies.net
Internet:       http://people.progress-technologies.net/~daniel.baumann/




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Live Project <debian-live@lists.debian.org>:
Bug#648685; Package live-build. (Tue, 15 Nov 2011 03:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to alvaro rincon <alvarorincon2005@yahoo.com>:
Extra info received and forwarded to list. Copy sent to Debian Live Project <debian-live@lists.debian.org>. (Tue, 15 Nov 2011 03:12:03 GMT) Full text and rfc822 format available.

Message #15 received at 648685@bugs.debian.org (full text, mbox):

From: alvaro rincon <alvarorincon2005@yahoo.com>
To: "648685@bugs.debian.org" <648685@bugs.debian.org>
Subject: Re: Bug#648685 closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#648685: live-build: "lb build" does not builds binary.iso)
Date: Mon, 14 Nov 2011 19:09:39 -0800 (PST)
[Message part 1 (text/plain, inline)]
how do i reuse all the downloaded packages?




>________________________________
>De: Debian Bug Tracking System <owner@bugs.debian.org>
>Para: wayuu <alvarorincon2005@yahoo.com>
>Enviado: Lunes, noviembre 14, 2011 3:18 A.M.
>Asunto: Bug#648685 closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) (Re: Bug#648685: live-build: "lb build" does not builds binary.iso)
>
>This is an automatic notification regarding your Bug report
>which was filed against the live-build package:
>
>#648685: live-build: "lb build" does not builds binary.iso
>
>It has been closed by Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net).
>
>Their explanation is attached below along with your original report.
>If this explanation is unsatisfactory and you have not received a
>better one in a separate message then please contact Daniel Baumann <daniel.baumann@progress-technologies.net> (reply to daniel.baumann@progress-technologies.net) by
>replying to this email.
>
>
>-- 
>648685: http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=648685
>Debian Bug Tracking System
>Contact owner@bugs.debian.org with problems
>On 11/14/2011 02:47 AM, wayuu wrote:
>> i run "lb build" and it does not buils binary.img instead it shows this error:
>> usr/bin/env: update-initramfs: No such file or directory
>
>your log shows that you're building from a previous unclean or interrupted build, rebuild from scratch with 'lb clean --purge && lb build'.
>
>-- Address:        Daniel Baumann, Donnerbuehlweg 3, CH-3012 Bern
>Email:          daniel.baumann@progress-technologies.net
>Internet:      http://people.progress-technologies.net/~daniel.baumann/
>
>Package: live-build
>Version: 2.0.12-2
>Severity: important
>
>i run "lb build" and it does not buils binary.img instead it shows this error:
>usr/bin/env: update-initramfs: No such file or directory
>
>root@sinamaica:/tutorial3/auto# lb build
>W: No config/ directory; using defaults for all options
>P: Setting up cleanup function
>P: Begin caching bootstrap stage...
>P: Begin bootstrapping system...
>W: skipping bootstrap
>P: Begin caching bootstrap stage...
>W: skipping bootstrap_cache.save
>P: Begin unmounting filesystems...
>P: Setting up cleanup function
>P: Begin caching chroot stage...
>P: Begin mounting /dev/pts...
>W: skipping chroot_devpts
>P: Begin mounting /proc...
>W: skipping chroot_proc
>P: Begin mounting /sys...
>W: skipping chroot_sysfs
>P: Configuring file /etc/debian_chroot
>W: skipping chroot_debianchroot
>P: Configuring file /sbin/start-stop-daemon
>W: skipping chroot_dpkg
>P: Configuring file /usr/sbin/policy-rc.d
>W: skipping chroot_sysv-rc
>P: Configuring file /usr/sbin/initctl
>W: skipping chroot_upstart
>P: Configuring file /etc/hosts
>W: skipping chroot_hosts
>P: Configuring file /etc/resolv.conf
>W: skipping chroot_resolv
>P: Configuring file /etc/hostname
>W: skipping chroot_hostname
>P: Configuring file /etc/apt/apt.conf
>W: skipping chroot_apt
>P: Configuring file /etc/apt/sources.list
>W: skipping chroot_sources
>P: Configuring file /etc/kernel-img.conf
>W: skipping chroot_linux-image
>P: Begin executing preseed...
>P: Begin executing local preseeds...
>P: Begin installing tasks...
>P: Begin queueing installation of packages lists...
>W: skipping chroot_packageslists
>P: Begin queueing installation of local packages lists...
>P: Begin queueing installation of packages...
>P: Begin queueing installation of local packages...
>P: Begin installing packages...
>P: Begin installing localization packages...
>Reading package lists... Done
>Building dependency tree... Done
>Del libpam-modules 1.1.1-6.1+squeeze1 [349 kB]
>Del libpam0g 1.1.1-6.1+squeeze1 [115 kB]
>Del libssl0.9.8 0.9.8o-4squeeze4 [3069 kB]
>Del libpam-runtime 1.1.1-6.1+squeeze1 [225 kB]
>Del tzdata 2011n-0squeeze1 [630 kB]
>P: Begin copying chroot local includes...
>P: Begin applying chroot local patches...
>P: Configuring package sysvinit
>P: Begin executing local hooks...
>P: Begin executing hooks...
>P: Begin executing hacks...
>/usr/bin/env: update-initramfs: No such file or directory
>P: Begin unmounting filesystems...
>root@sinamaica:/tutorial3/auto#
>
>
>
>-- Package-specific info:
>
>-- System Information:
>Debian Release: 6.0.3
>  APT prefers stable-updates
>  APT policy: (500, 'stable-updates'), (500, 'stable')
>Architecture: i386 (i686)
>
>Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
>Locale: LANG=es_VE.utf8, LC_CTYPE=es_VE.utf8 (charmap=UTF-8)
>Shell: /bin/sh linked to /bin/dash
>
>Versions of packages live-build depends on:
>ii  cdebootstrap             0.5.7           Bootstrap a Debian system
>ii  debootstrap              1.0.26+squeeze1 Bootstrap a basic Debian system
>
>Versions of packages live-build recommends:
>ii  cpio                          2.11-4     GNU cpio -- a program to manage ar
>ii  gnu-fdisk                     1.2.4-3    Linux fdisk replacement based on l
>
>Versions of packages live-build suggests:
>ii  dosfstools           3.0.9-1             utilities for making and checking 
>ii  fakeroot             1.14.4-1            Gives a fake root environment
>ii  genisoimage          9:1.1.11-1          Creates ISO-9660 CD-ROM filesystem
>pn  memtest86+ | memtest <none>              (no description available)
>ii  mtools               4.0.12-1            Tools for manipulating MSDOS files
>pn  parted               <none>              (no description available)
>pn  squashfs-tools | gen <none>              (no description available)
>ii  sudo                 1.7.4p4-2.squeeze.2 Provide limited super user privile
>pn  syslinux | grub      <none>              (no description available)
>pn  uuid-runtime         <none>              (no description available)
>pn  win32-loader         <none>              (no description available)
>
>-- no debconf information
>
>
>
>
>
[Message part 2 (text/html, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 13 Dec 2011 07:37:12 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 04:34:52 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.